// tcp_ipDlg.h : header file
//

#if !defined(AFX_TCP_IPDLG_H__9F18DB76_060E_469B_850E_6492507BB4BC__INCLUDED_)
#define AFX_TCP_IPDLG_H__9F18DB76_060E_469B_850E_6492507BB4BC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CTcp_ipDlg dialog

class CTcp_ipDlg : public CDialog
{
// Construction
public:
	CTcp_ipDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CTcp_ipDlg)
	enum { IDD = IDD_TCP_IP_DIALOG };
	CString	m_Status;
	CString	m_IP_Address;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTcp_ipDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CTcp_ipDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	virtual void OnOK();
	afx_msg void On1off();
	afx_msg void On2on();
	afx_msg void On2off();
	afx_msg void On3on();
	afx_msg void On3off();
	afx_msg void OnConnect();
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TCP_IPDLG_H__9F18DB76_060E_469B_850E_6492507BB4BC__INCLUDED_)
